- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/OS-2.3.5/OS/src/OSUtils/OSParameters.h File Reference

`#include "OSConfig.h"`
`#include <string>`
`#include <sstream>`

Include dependency graph for OSParameters.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | OS_PLUS 1001
#define | OS_SUM 1002
#define | OS_MINUS 1003
#define | OS_NEGATE 1004
#define | OS_TIMES 1005
#define | OS_DIVIDE 1006
#define | OS_POWER 1009
#define | OS_PRODUCT 1010
#define | OS_ABS 2001
#define | OS_SQUARE 2005
#define | OS_SQRT 2006
#define | OS_LN 2007
#define | OS_EXP 2010
#define | OS_SIN 3001
#define | OS_COS 3002
#define | OS_MIN 4010
#define | OS_MAX 4011
#define | OS_ERF 4625
#define | OS_NUMBER 5001
#define | OS_PI 5003
#define | OS_E 5004
#define | OS_VARIABLE 6001
#define | OS_IF 7001
#define | OS_ALLDIF 7016
#define | OS_E_VALUE exp(1.0)
#define | OS_PI_VALUE 2*asin(1.0)
#define | OS_SCHEMA_VERSION "2.0"
#define | OS_NEAR_EQUAL 1e-2
| we use OS_NEAR_EQUAL in unitTest to see if we are close to the optimal obj value
#define | OS_EPS 1e-12
#define | OSNAN nanKludge()
#define | OSDBL_MAX 1e37
#define | OSINT_MAX 2147483647
#define | XSLT_LOCATION OSSRCDIR;
## Functions
double | nanKludge ()
bool | OSIsnan (double x)
std::string | getVersionInfo ()

## Define Documentation

#define OS_PLUS 1001

Definition at line 78 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), and OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_SUM 1002

Definition at line 79 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), OSInstance::getNonlinearExpressionTreeInInfix(), and LindoSolver::processNonlinearExpressions().

#define OS_MINUS 1003

Definition at line 80 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), and OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_NEGATE 1004

Definition at line 81 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), and OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_TIMES 1005

Definition at line 82 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), and OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_DIVIDE 1006

Definition at line 83 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), and OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_POWER 1009

Definition at line 84 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), and OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_PRODUCT 1010

Definition at line 85 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), OSInstance::getNonlinearExpressionTreeInInfix(), and LindoSolver::processNonlinearExpressions().

#define OS_ABS 2001

Definition at line 86 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), and OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_SQUARE 2005

Definition at line 87 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), and OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_SQRT 2006

Definition at line 88 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), and OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_LN 2007

Definition at line 89 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), and OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_EXP 2010

Definition at line 90 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), and OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_SIN 3001

Definition at line 91 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), and OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_COS 3002

Definition at line 92 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), and OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_MIN 4010

Definition at line 93 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), and OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_MAX 4011

Definition at line 94 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), OSInstance::getNonlinearExpressionTreeInInfix(), and LindoSolver::processNonlinearExpressions().

#define OS_ERF 4625

Definition at line 95 of file OSParameters.h.

Referenced by OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_NUMBER 5001

Definition at line 96 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), OSInstance::getNonlinearExpressionTreeInInfix(), and LindoSolver::processNonlinearExpressions().

#define OS_PI 5003

Definition at line 97 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), and OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_E 5004

Definition at line 98 of file OSParameters.h.

Referenced by OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_VARIABLE 6001

Definition at line 99 of file OSParameters.h.

Referenced by CouenneSolver::createCouenneExpression(), OSInstance::getNonlinearExpressionTreeInInfix(), OSnLNode::getVariableIndexMap(), and LindoSolver::processNonlinearExpressions().

#define OS_IF 7001

Definition at line 100 of file OSParameters.h.

Referenced by OSInstance::getNonlinearExpressionTreeInInfix().

#define OS_ALLDIF 7016

Definition at line 101 of file OSParameters.h.

#define OS_E_VALUE exp(1.0)

Definition at line 104 of file OSParameters.h.

Referenced by OSnLNodeE::calculateFunction().

#define OS_PI_VALUE 2*asin(1.0)

Definition at line 105 of file OSParameters.h.

Referenced by OSnLNodePI::calculateFunction().

#define OS_SCHEMA_VERSION "2.0"

Definition at line 107 of file OSParameters.h.

Referenced by solve(), OSiLWriter::writeOSiL(), OSoLWriter::writeOSoL(), and OSrLWriter::writeOSrL().

#define OS_NEAR_EQUAL 1e-2

we use OS_NEAR_EQUAL in unitTest to see if we are close to the optimal obj value

Definition at line 115 of file OSParameters.h.

Referenced by CheckFunctionValues(), CheckGradientValues(), and main().

#define OS_EPS 1e-12

Definition at line 117 of file OSParameters.h.

Referenced by OSnl2osil::createOSInstance().

#define OSNAN nanKludge()

Definition at line 134 of file OSParameters.h.

Referenced by OSOption::getInitConValuesDense(), OSOption::getInitObjLowerBoundsDense(), OSOption::getInitObjUpperBoundsDense(), OSOption::getInitObjValuesDense(), OSOption::getInitVarValuesDense(), OSOption::getIntegerVariableBranchingWeightsDense(), getObjVal(), and OSiLWriter::writeOSiL().

#define OSDBL_MAX 1e37

Definition at line 171 of file OSParameters.h.

Referenced by CouenneSolver::buildSolverInstance(), OSnl2osil::createOSInstance(), OSgams2osil::createOSInstance(), IpoptProblem::get_starting_point(), BonminProblem::get_starting_point(), OSRouteSolver::getOptL(), OSgams2osil::initGMO(), KnitroProblem::loadProblemIntoKnitro(), main(), os_dtoa_format(), os_strtod(), OSRouteSolver::OSRouteSolver(), OSInstance::printModel(), OSInstance::processConstraints(), OSDipBlockBearcatSolver::qrouteCost(), CoinSolver::setSolverOptions(), OSDipBlockBearcatSolver::solve(), and OSiLWriter::writeOSiL().

#define OSINT_MAX 2147483647

Definition at line 178 of file OSParameters.h.

#define XSLT_LOCATION OSSRCDIR;

Definition at line 182 of file OSParameters.h.

## Function Documentation

double nanKludge | ( |  | ) | `[inline]`

Definition at line 119 of file OSParameters.h.

bool OSIsnan | ( | double | x | ) | `[inline]`

Definition at line 139 of file OSParameters.h.

Referenced by isEqual(), and os_dtoa_format().

std::string getVersionInfo | ( |  | ) | `[inline]`

Definition at line 189 of file OSParameters.h.

References OS_VERSION.

Referenced by IpoptProblem::finalize_solution(), main(), LindoSolver::optimize(), CouenneSolver::writeResult(), CoinSolver::writeResult(), and BonminSolver::writeResult().